Subject: Re: [PATCH] checkpatch/SubmittingPatches: Suggest line wrapping commit messages at 72 columns

From: Joe Perches <[email-masked]>
Date: Wed, 01 Apr 2015 12:28:46 -0700

On Wed, 2015-04-01 at 12:20 -0700, Andrew Morton wrote:
> On Tue, 31 Mar 2015 11:40:25 -0700 Joe Perches <[email-masked]> wrote:
> 
> > Commit messages are sometimes overly long.
> > Suggest line wrapping at 72 columns.
> 
> waah, I use 75 and this patch has ruined my life.

hmm... 1/4/15 or is it 4/1/15?

> Is there some way I can disable just this check without patching
> checkpatch?  I suspect a lot of people will be interested in doing
> this ;)

You could s/72/75/.  I won't care.

Using "./scripts/checkpatch.pl --ignore=commit_log_long_line"
would work too.